Package org.apache.log4j.chainsaw

## Class ApplicationPreferenceModelSaver

- java.lang.Object
- - org.apache.log4j.chainsaw.ApplicationPreferenceModelSaver

- All Implemented Interfaces:
    `EventListener`, `SettingsListener`

      public class ApplicationPreferenceModelSaver
      extends Object
      implements SettingsListener

  Helper class that helps delegate the work of loading and saving the values of the ApplicationPreferenceModel, allowing that class to remain a simple bean.

  The Model passed to this class' constructor is the instance of the ApplicationPreference that will be saved, and will have properties modified by loading from the 'chainsaw.settings.xml' file in the .chainsaw directory of the user's home directory.

  Author:
    psmith

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationPreferenceModelSaver​(ApplicationPreferenceModel model)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `loadSettings​(LoadSettingsEvent event)` | When a request to load Settings has been requested, this method will be invoked by the SettingsManager.
    `void` | `saveSettings​(SaveSettingsEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPreferenceModelSaver

          public ApplicationPreferenceModelSaver​(ApplicationPreferenceModel model)

      Parameters:
        `model` -

  - ### Method Detail

    - #### loadSettings

          public void loadSettings​(LoadSettingsEvent event)

      Description copied from interface: `SettingsListener`
      When a request to load Settings has been requested, this method will be invoked by the SettingsManager. The implementing component can query the event for settings, and modify it's internal state based on these settings.
      Specified by:
        `loadSettings` in interface `SettingsListener`

    - #### saveSettings

          public void saveSettings​(SaveSettingsEvent event)

      Specified by:
        `saveSettings` in interface `SettingsListener`